Subject: RE: New user / CD installation problems
From: "Hannu E K Nevalainen (garbage mail)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 Mar 2003 22:40:30 +0100

> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Joshua Daniel Franklin
--8<--
> > It is the runnable installation, the "cygwin" directory tree, that I
> > am talking about.  Some time ago I tried it with the source tree on
> > the CD, running setup and trying to install from that, but it was a
> > total failure (the setup program refused to look at the CD and I could
> > find no way of directing it to do so.)
> 
> You need to copy the ftp3a%2f%2f... directory *with* setup.ini and the
> release/ dir to your local hard drive.

 Ever thought of using "subst"?
Well, as I haven't been using Win versions later than 98SE I can't tell
if it is available. But for 98/98SE it has proven its value ;-)

Assumption: "G:" is unused, as it is written here.
(make sure LASTDRIVE allows the drive letter of your choice)
1. Take the enclosed BAT-file and place it in any directory
2. Double click it, in Explorer. Run it from the DOS-prompt or whatever
3. Tada! You've got G:\ to put setup's downloads into.
4. Double click it, in Explorer. Run it from the DOS-prompt or whatever
5. Tada! Your G:\ is gone.

 At any point, move the contents of "G:" onto a CD-R,
 *** remember to include the BAT-file ***,
 and you will be able to run setup from that CD.
 AFTER having run the BAT-file to enable "G:" 
 (to be the root, or subdir, on that CD).

 To use another drive letter; replace the THREE instances of G:
with any *UNUSED* drive letter, e.g. Z: .

/Hannu E K Nevalainen, Mariefred, Sweden 

--8<--SETRES_G.BAT--
@echo off
subst | find /C /I "G:" >nul
if not ERRORLEVEL 1 goto found

 subst G: .
 goto x

:found
 C:\
 cd \
 subst /D G:

:x
--8<--

--END OF MESSAGE-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/